%define upstream_name    Term-Twiddle
%define upstream_version 2.73

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Twiddles baton while-u-wait for long subrout
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Term/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Time::HiRes) >= 1.300.0
BuildArch:  noarch

%description
Always fascinated by the spinner during FreeBSD's loader bootstrap, I
wanted to capture it so I could view it any time I wanted to--and I wanted
to make other people find that same joy I did. Now, anytime you or your
users have to wait for something to finish, instead of twiddling their
thumbs, they can watch the computer twiddle its thumbs.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test </dev/null

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 2.730.0-7.mga6
+ Revision: 1034025
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 2.730.0-6.mga6
+ Revision: 947221
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.730.0-5.mga5
+ Revision: 743828
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.730.0-4.mga5
+ Revision: 686391
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.730.0-3.mga4
+ Revision: 515036
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.730.0-2.mga3
+ Revision: 373320
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 2.730.0-1.mga3
+ Revision: 315863
- update to 2.73
- update to 2.72

* Sat Jan 22 2011 jquelin <jquelin> 2.710.0-1.mga1
+ Revision: 32424
- mageia rebuild
- imported package perl-Term-Twiddle

